cmake_minimum_required(VERSION 3.16)

project(trans_net LANGUAGES CXX)

if (MSVC)
    add_compile_options(/source-charset:utf-8)
endif()

set(SOURCES
    net_base.h net_base.cpp
)
add_library(trans_net STATIC ${SOURCES})
target_link_libraries(trans_net PUBLIC ofen trans_util)
target_include_directories(trans_net PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})